' RAPIDQ.INC  -- Include file for RAPID-Q by William Yu
'             -- attach a $INCLUDE "RAPIDQ.INC"
'             -- to all your programs, or just extract what you need.
'	      -- Small version 


'------------------------- Useful variables -------------------------
CONST False = 0
CONST True = 1

'-- BASIC Colors
CONST clBlack = 0
CONST clWhite = &HFFFFFF
CONST clBlue = &HFF0000
CONST clGreen = &H00FF00
CONST clRed = &H0000FF
CONST clPurple = &HFF00FF

'---------------------- QFILESTREAM Variables -----------------------
'-- File Mode
CONST fmCreate = 65535
CONST fmOpenRead = 0
CONST fmOpenWrite = 1
CONST fmOpenReadWrite = 2

'-- Offsets
CONST soFromBeginning = 0       '-- Seek (offset) from Beginning
CONST soFromCurrent = 1         '-- Seek (offset) from Current position
CONST soFromEnd = 2             '-- Seek (offset) from End

'-- Read/Write Numbers
CONST Num_BYTE   = 1            '-- ie. PRINT File.ReadNum(Num_SINGLE)
CONST Num_SHORT  = 2
CONST Num_WORD   = 3
CONST Num_LONG   = 4
CONST Num_DWORD  = 5
CONST Num_SINGLE = 6
CONST Num_DOUBLE = 8

'---------------------------- QBColor -------------------------------

DIM QBColor(0 TO 15) AS INTEGER
    QBColor(0) = 0               '-- Black
    QBColor(1) = &H800000        '-- Blue
    QBColor(2) = &H8000          '-- Green
    QBColor(3) = &H808000        '-- Cyan
    QBColor(4) = &H80            '-- Red
    QBColor(5) = &H800080        '-- Magenta
    QBColor(6) = &H8080          '-- Brown
    QBColor(7) = &HC0C0C0        '-- White
    QBColor(8) = &H808080        '-- Grey
    QBColor(9) = &HFF0000        '-- Light Blue
    QBColor(10) = &HFF00         '-- Light Green
    QBColor(11) = &HFFFF00       '-- Light Cyan
    QBColor(12) = &HFF           '-- Light Red
    QBColor(13) = &HFF00FF       '-- Light Magenta
    QBColor(14) = &HFFFF         '-- Yellow
    QBColor(15) = &HFFFFFF       '-- Bright White
